Name: ext2ed
Version: 0.2
Release: alt1

Summary: An ext2 filesystem editor
License: GPL
Group: System/Kernel and hardware

Source: ftp://sunsite.unc.edu/pub/Linux/system/filesystems/ext2/%name-%version.tar.bz2
Patch1: %name-0.2-alt-glibc.patch
Patch2: %name-0.2-alt-cleanup.patch

# This should only be built on little endian machines.
ExclusiveArch: %ix86 alpha ppc

# Automatically added by buildreq on Fri Jan 19 2001
BuildRequires: libgpm ncurses-devel readline-devel

%description
Ext2ed is a program which provides a text and window interface for
examining and editing an ext2 filesystem.  Ext2ed is supposed to be
easier to use than debugfs, but debugfs is more powerful.  Note that
this program should only be used by someone who is very experienced
at hacking filesystems.

Install %name if you want to examine and/or edit your ext2 filesystem,
and you know what you're doing.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
bzip2 -9 doc/*.ps

%build
%make_build FLAGS="$RPM_OPT_FLAGS -DCONFIG_FILE=\"\\\"%_sysconfdir/%name.conf\\\"\""

%install
mkdir -p $RPM_BUILD_ROOT/{%_sbindir,%_mandir/man8,var/lib}

make    BIN_DIR=$RPM_BUILD_ROOT%_sbindir \
        MAN_DIR=$RPM_BUILD_ROOT%_mandir/man8 \
        VAR_DIR=$RPM_BUILD_ROOT/var/lib/%name \
        install

rm -f $RPM_BUILD_ROOT/var/lib/%name/%name.conf

install -p -m644 -D %name.conf $RPM_BUILD_ROOT%_sysconfdir/%name.conf


%files
%config(noreplace) %_sysconfdir/%name.conf
%_sbindir/*
%_mandir/man?/*
%_localstatedir/%name
%doc README doc/*.{ps.*,sgml}

%changelog
* Thu Oct 31 2002 Stanislav Ievlev <inger@altlinux.ru> 0.2-alt1
- 0.2

* Mon Mar 11 2002 Stanislav Ievlev <inger@altlinux.ru> 0.1-ipl17mdk
- Rebuild
- moved ext2.descriptors from doc to /var/lib

* Fri Jan 19 2001 Dmitry V. Levin <ldv@fandra.org> 0.1-ipl16mdk
- Fixed config and documentation.
- RE adaptions.

* Wed Jul 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1-15mdk
- tvzition.

* Tue Apr 18 2000 Warly <warly@mandrakesoft.com> 0.1-14mdk
- New group: System/Kernel and hardware

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1-13mdk
- use the new group list
- use spechelper

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 0.1-12mdk
- added PPC support

* Fri Nov 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- add archs and SMP macro

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Thu Mar 25 1999 Erik Troan <ewt@redhat.com>
- only build on little endian machines

* Tue Mar 23 1999 Erik Troan <ewt@redhat.com>
- mixing readling and ncurses is evil

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 17)

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses
- updated bad patch (!)

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- various spec file clean ups

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- build against readline library w/ proper soname

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
